Issue 10418

Title
Wrong domain error message
Priority
bug
Status
chatting
Nosy list
ced, pokoli
Assigned to
Keywords

Created on 2021-05-12.14:55:24 by pokoli, last changed 1 week ago by ced.

Messages

Author: [hidden] (ced) Tryton committer Tryton translator
Date: 2021-07-14.09:41:04

What are the other values of the record that appear in the full domain?

I guess there is a problem in the domain inversion code. It will be good to have a reproducible failing test.

Author: [hidden] (pokoli) Tryton committer Tryton translator
Date: 2021-07-14.09:32:38

Invalid domain is: [['closed', '!=', True]]
The full field domain is: [['closed', '!=', True], ['company', '=', 2], ['OR', ['type.expense', '=', True], ['type.debt', '=', True]]]

And the invalid record has the following properties:

>>> invalid_record.closed
False
>>>  invalid_record.type.expense
True
invalid_record.company
Pool().get('company.company')(3)
Author: [hidden] (ced) Tryton committer Tryton translator
Date: 2021-07-13.21:22:09

What is the invalid_domain of DomainValidationError?

Author: [hidden] (pokoli) Tryton committer Tryton translator
Date: 2021-06-29.14:17:28

I think the problem comes from multiple error clauses. The error message only talks about first domain clause but the problem is about another clause.

Author: [hidden] (pokoli) Tryton committer Tryton translator
Date: 2021-05-12.14:55:24

In the scenario described in msg67543 the DomainValidationMessage is raised complaning about a closed account, but the problem is that the account is not for the right company.

I will expect that the servier will produce the right invalid_domain, so the clients can show a proper error message to users.

History
Date User Action Args
2021-07-14 09:41:04cedsetmessages: + msg68913
2021-07-14 09:32:39pokolisetmessages: + msg68912
status: need-eg -> chatting
2021-07-13 21:22:09cedsetmessages: + msg68901
nosy: + ced
status: unread -> need-eg
2021-06-29 14:17:28pokolisetmessages: + msg68487
2021-05-12 14:55:24pokolicreate

Showing 10 items. Show all history (warning: this could be VERY long)